Bug 648223 - nagios build strips binaries
nagios build strips binaries
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nagios (Show other bugs)
rawhide
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2010-10-31 11:37 EDT by Ville Skyttä
Modified: 2010-11-11 17:20 EST (History)
5 users (show)

See Also:
Fixed In Version: nagios-3.2.3-3.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 17:15:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2010-10-31 11:37:46 EDT
Build of nagios 3.2.3 strips binaries, making the -debuginfo package useless.  3.2.2 did not have this problem.

Based on a quick look, invoking "make install-unstripped install-init install-commandmode install-webconf install-config" instead of "make fullinstall" could fix it.
Comment 1 Fedora Update System 2010-11-03 11:20:32 EDT
nagios-3.2.3-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/nagios-3.2.3-3.fc13
Comment 2 Fedora Update System 2010-11-03 11:20:45 EDT
nagios-3.2.3-3.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/nagios-3.2.3-3.fc12
Comment 3 Fedora Update System 2010-11-03 11:20:58 EDT
nagios-3.2.3-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/nagios-3.2.3-3.fc14
Comment 4 Fedora Update System 2010-11-03 17:08:09 EDT
nagios-3.2.3-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nagios'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/nagios-3.2.3-3.fc12
Comment 5 Fedora Update System 2010-11-11 17:14:55 EST
nagios-3.2.3-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2010-11-11 17:18:41 EST
nagios-3.2.3-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-11-11 17:20:47 EST
nagios-3.2.3-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.